[tool.poetry]
name = "market_trade"
version = "0.2.0"
description = ""
authors = ["Mark <strategy155@gmail.com>", "Sasha <redsandybn@yandex.ru>"]

[tool.poetry.dependencies]
python = ">=3.9,<3.13"
pandas = "^2.1.3"
numpy = "^1.22.3"
plotly = "^5.7.0"
matplotlib = "^3.5.2"
scipy = "^1.8.0"
mplfinance = "^0.12.8-beta.9"
requests-html = "^0.10.0"
nest-asyncio = "^1.5.5"
beautifulsoup4 = "^4.11.1"
requests = "^2.27.1"
selenium = "^4.1.5"
black = "^23.12.0"
tinkoff-grpc = {git = "git@github.com:strategy155/tinkoff_grpc.git", branch="master"}
python-dotenv = "^1.0.0"
jupyterlab = "^4.0.9"
nbconvert = "^7.16.2"

[tool.poetry.dev-dependencies]

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
